:root {
    --text-color: #000;

}

html {
    line-height: 1.15; /* 1 */
    -webkit-text-size-adjust: 100%; /* 2 */
}

body {
    margin: 0;
}

main {
    display: block;
}

h1 {
    font-size: 2em;
    margin: 0.67em 0;
}

hr {
    box-sizing: content-box; /* 1 */
    height: 0; /* 1 */
    overflow: visible; /* 2 */
}

pre {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
}

a {
    background-color: transparent;
    text-decoration: none;
}

abbr[title] {
    border-bottom: none; /* 1 */
    text-decoration: underline; /* 2 */
    text-decoration: underline dotted; /* 2 */
}

b,
strong {
    font-weight: bolder;
}

code,
kbd,
samp {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
}

small {
    font-size: 80%;
}

sub,
sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
}

sub {
    bottom: -0.25em;
}

sup {
    top: -0.5em;
}

img {
    border-style: none;
}

button,
input,
optgroup,
select,
textarea {
    font-family: inherit; /* 1 */
    font-size: 100%; /* 1 */
    line-height: 1.15; /* 1 */
    margin: 0; /* 2 */
}

button,
input { /* 1 */
    overflow: visible;
}

button,
select { /* 1 */
    text-transform: none;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
    -webkit-appearance: button;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
    border-style: none;
    padding: 0;
}

button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
    outline: 1px dotted ButtonText;
}

fieldset {
    padding: 0.35em 0.75em 0.625em;
}

legend {
    box-sizing: border-box; /* 1 */
    color: inherit; /* 2 */
    display: table; /* 1 */
    max-width: 100%; /* 1 */
    padding: 0; /* 3 */
    white-space: normal; /* 1 */
}

progress {
    vertical-align: baseline;
}

textarea {
    overflow: auto;
}

[type="checkbox"],
[type="radio"] {
    box-sizing: border-box; /* 1 */
    padding: 0; /* 2 */
}

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
    height: auto;
}

[type="search"] {
    -webkit-appearance: textfield; /* 1 */
    outline-offset: -2px; /* 2 */
}

[type="search"]::-webkit-search-decoration {
    -webkit-appearance: none;
}

::-webkit-file-upload-button {
    -webkit-appearance: button; /* 1 */
    font: inherit; /* 2 */
}

details {
    display: block;
}

summary {
    display: list-item;
}

template {
    display: none;
}

[hidden] {
    display: none;
}

.no-select {
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none;    /* Firefox */
    -ms-user-select: none;     /* Internet Explorer/Edge */
    user-select: none;         /* Non-prefixed version, currently supported by Chrome, Opera and Firefox */
}

/* @-webkit-keyframes pop {*/
/*     0%,to {*/
/*         -webkit-transform: scale(.95);*/
/*         transform: scale(.95)*/
/*     }*/

/*     50% {*/
/*         -webkit-transform: scale(1);*/
/*         transform: scale(1)*/
/*     }*/
/* }*/

/* @keyframes pop {*/
/*     0%,to {*/
/*         -webkit-transform: scale(.99);*/
/*         transform: scale(.99)*/
/*     }*/

/*     50% {*/
/*         -webkit-transform: scale(1);*/
/*         transform: scale(1)*/
/*     }*/
/* }*/

/* @-webkit-keyframes levitate {*/
/*     0%,to {*/
/*         -webkit-transform: translate(0,-5%);*/
/*         transform: translate(0,-5%)*/
/*     }*/

/*     50% {*/
/*         -webkit-transform: translate(0,5%);*/
/*         transform: translate(0,5%)*/
/*     }*/
/* }*/

/* @keyframes levitate {*/
/*     0%,to {*/
/*         -webkit-transform: translate(0,-5%);*/
/*         transform: translate(0,-5%)*/
/*     }*/

/*     50% {*/
/*         -webkit-transform: translate(0,5%);*/
/*         transform: translate(0,5%)*/
/*     }*/
/* }*/

/* @-webkit-keyframes wheel {*/
/*     0% {*/
/*         -webkit-transform: scale(0);*/
/*         transform: scale(0)*/
/*     }*/

/*     to {*/
/*         -webkit-transform: scale(1);*/
/*         transform: scale(1)*/
/*     }*/
/* }*/

/* @keyframes wheel {*/
/*     0% {*/
/*         -webkit-transform: scale(0);*/
/*         transform: scale(0)*/
/*     }*/

/*     to {*/
/*         -webkit-transform: scale(1);*/
/*         transform: scale(1)*/
/*     }*/
/* }*/

/* @-webkit-keyframes glow {*/
/*     0%,to {*/
/*         opacity: 0*/
/*     }*/

/*     50% {*/
/*         opacity: .5*/
/*     }*/
/* }*/

/* @keyframes glow {*/
/*     0%,to {*/
/*         opacity: 0*/
/*     }*/

/*     50% {*/
/*         opacity: .5*/
/*     }*/
/* }*/

/*@keyframes fly {*/
/*    0% {*/
/*        background-position: center top calc(50% - 60px);*/
/*    }*/

/*    50% {*/
/*        background-position: center top calc(50% - 7px);*/
/*    }*/

/*    100% {*/
/*        background-position: center top calc(50% - 60px);*/
/*    }*/
/*}*/
/* *!*/

@keyframes pulseCharacter {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

@keyframes rotating {
    from {
        transform-origin: 0 0;
        transform: rotate(0deg) translate(-50%, -50%);
    }

    to {
        transform-origin: 0 0;
        transform: rotate(360deg) translate(-50%, -50%);
    }
}


@keyframes highlight-animation {
    0% {
        left: -125%;
    }

    33% {
        left: 150%;
    }

    100% {
        left: 150%;
    }
}
@keyframes congatulation {
    0% {
        filter: drop-shadow(0 0 0 #E02F4D);
    }

    50% {
        filter: drop-shadow(0 10px 23px  #E02F4D);
    }

    100% {
        filter: drop-shadow(0 0 0 #E02F4D);
    }
}
html {
    height: 100%;
    width: 100%;
    min-width: 320px;
    line-height: 1;
    font-size: 13px;
    -ms-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    -webkit-text-size-adjust: 100%;
    overflow-x: hidden;
}

.popup-open .main {
    min-height: unset;
    max-height: 100vh;
    filter: blur(5px);
    overflow: hidden;
}

.popup-open .header {
    filter: blur(5px);
    position: fixed;
    width: 100%;
    z-index: 1999;
}

body {
    position: relative;
    display: flex;
    flex-direction: column;
    font-family: "Roboto", "Arial", sans-serif;
    align-content: start;
    min-height: 100vh;
    overflow: hidden;
    margin: 0;
    background-image:
            url("../img/background/bg_mobile@1x.png");
    background-image:
    -webkit-image-set(
            url("../img/background/bg_mobile@1.5.webp") type("image/webp"),
            url("../img/background/bg_mobile@1x.png") type("image/png")
    );
    background-image:
    image-set(
            url("../img/background/bg_mobile@1.5.webp") type("image/webp"),
            url("../img/background/bg_mobile@1x.png") type("image/png")
    );
    background-size: cover;
    background-position: center top;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-color: #307FBE ;
}

a {
    color: #000000;
}

.shine {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
}

.shine::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 1000px;
    height: 1000px;
    pointer-events: none;
    background-image: url("../img/background/shine_bg_mobile1x.png");
    background-image: -webkit-image-set(
                    url("../img/background/shine_bg_mobile@1x.webp") type("image/webp"),
                    url("../img/background/shine_bg_mobile1x.png") type("image/png")
            );
    background-image: image-set(
                    url("../img/background/shine_bg_mobile@1x.webp") type("image/webp"),
                    url("../img/background/shine_bg_mobile1x.png") type("image/png")
            );
    background-size: contain;
    background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
    animation: rotating 30s linear infinite;
    z-index: -1;
}

body::before {
    content: '';
    position: absolute;
    bottom: 50px;
    left: 20px;
    width: 130px;
    height: 130px;
    pointer-events: none;
    background-image:
            url("../img/background/bird_mobile2x.png");
    background-image:
            -webkit-image-set(
                    url("../img/background/bird_mobile@2x.webp") type("image/webp"),
                    url("../img/background/bird_mobile2x.png") type("image/png")
            );
    background-image:
            image-set(
                    url("../img/background/bird_mobile@2x.webp") type("image/webp"),
                    url("../img/background/bird_mobile2x.png") type("image/png")
            );
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

body::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 150px;
    pointer-events: none;
    background-image:
            url("../img/background/bush_right_mobile@2x.png"),
            url("../img/background/bush_left_mobile@2x.png");
    background-image:-webkit-image-set(
            url("../img/background/bush_right_mobile@2x.webp") type("image/webp"),
            url("../img/background/bush_right_mobile@2x.png") type("image/png")
    ),
            -webkit-image-set(
                    url("../img/background/bush_left_mobile@2x.webp") type("image/webp"),
                    url("../img/background/bush_left_mobile@2x.png") type("image/png")
            );
    background-image:
    image-set(
            url("../img/background/bush_right_mobile@2x.webp") type("image/webp"),
            url("../img/background/bush_right_mobile@2x.png") type("image/png")
    ),
    image-set(
            url("../img/background/bush_left_mobile@2x.webp") type("image/webp"),
            url("../img/background/bush_left_mobile@2x.png") type("image/png")
    );
    background-size: contain;
    background-position: right center, left center;
    background-repeat: no-repeat;
}
.win-popup__button,
button{
    font-family: "Sansita", sans-serif;
    font-weight: 700;
    font-size: 20px;
    color: #201A05;
    letter-spacing: 0.5px;
    font-style: italic;
    background-color: transparent;
    height: 55px;
    box-sizing: border-box;
    min-width: 120px;
    padding: 0 25px 5px;
}

.header {
    height: 70px;
    position: relative;
    z-index: 1000;
}

.header-nav-box{
    position: relative;
    padding: 0;
    height: 100%;
    box-sizing: border-box;
}

.header-nav__list{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    box-sizing: border-box;
    height: 100%;
    margin: 0;
    padding: 0 3.125%;
}

.wrapper{
    width:100%;
    margin:0 auto;
}

.language {
    z-index: 9000;
    display: block;
    width: 20px;
    height: 20px;
    color: transparent;
    text-decoration: none;
    background-position: center;
    background-size: cover;
    border-radius: 50%;
}

.lang-opacity #language.real-lang {
    opacity: 0.5;
    pointer-events: none;
}

.language__container {
    flex-basis: 50px;
}

#language nobr{
    margin-top: -5px;
    width: 52px;
}

#language.real-lang {
    display: flex;
    align-items: center;
    position: relative;
    z-index: 2500;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: flex-start;
    height: 30px;
    cursor: pointer;
}

#language #all-languages {
    position: fixed;
    z-index: 9000;
    display: none;
    width: 105px;
    padding-top: 0;
    margin-top: 15px;
    margin-left: -5px;
    border-radius: 10px;
    background: transparent;
}

.language__link {
    display: flex;
    align-items: center;
    padding: 10px 5px;
    font-family: 'Roboto', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: var(--text-color);
    user-select: none;
}

.language__link:hover{
    background-color: #EEF3ED;
    font-weight: 700;
}

.language__link:first-child {
    border-radius: 10px 10px 0 0;
    padding-top: 0;
    margin-top: 15px;
}

.language__link:last-child {
     padding-bottom: 15px;
}

#language.real-lang.en .language__link.en,
#language.real-lang.fr .language__link.fr,
#language.real-lang.es .language__link.es,
#language.real-lang.de .language__link.de,
#language.real-lang.it .language__link.it {
    display: none;
}

#language #all-languages .language {
    z-index: 9000;
    cursor: pointer;
    margin-right: 5px;
}

.language.en {
    background-image: url(../../../common/img/flags/en.svg);
}

.language.fr {
    background-image: url(../../../common/img/flags/fr.svg);
}

.language.es {
    background-image: url(../../../common/img/flags/es.svg);
}

.language.de {
    background-image: url(../../../common/img/flags/de.svg);
}

.language.it {
    background-image: url(../../../common/img/flags/it.svg);
}

#language #arrow-languages {
    z-index: 9000;
    display: inline-block;
    float: left;
    width: 15px;
    height: 20px;
    margin-top: 8px;
    margin-left: 5px;
    background: url(../img/arrow-white.svg) no-repeat center/contain;
}

#language.hover #arrow-languages {
    -webkit-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}

#language #current-language {
    z-index: 9000;
    display: inline-block;
    float: left;
    margin-top: 0;
    -webkit-transform: translateY(2px);
    -ms-transform: translateY(2px);
    transform: translateY(2px);
    width: 30px;
    height: 30px;
}

#language.hover {
    z-index: 9000;
}

#language.hover #all-languages {
    position: absolute;
    top: 35px!important;
    z-index: 9000;
    display: block;
    right: 0;
}

.container-lang-links {
    overflow: hidden;
    background-color: #ffffff;
    box-shadow: 0 4px 4px 0px #00000040;
    border-radius: 10px;
}

.header-nav__buttons--box{
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.header__logo {
    display: block;
    margin: 0 auto;
    width: 195px;
    height: auto;
}

.header-nav__item-logo {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
}

.header.hide {
    opacity: 0;
    pointer-events: none;
}

.main {
    flex-grow: 2;
    padding-bottom: 90px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    box-sizing: border-box;
    background-image: url("../img/background/cloud_mobile@1x.png");
    background-image:
            -webkit-image-set(
                    url("../img/background/cloud_mobile@2x.webp") type("image/webp"),
                    url("../img/background/cloud_mobile@1x.png") type("image/png")
            );
    background-image:
            image-set(
                    url("../img/background/cloud_mobile@2x.webp") type("image/webp"),
                    url("../img/background/cloud_mobile@1x.png") type("image/png")
            );
    background-size: 183% auto;
    background-position: center top calc(50% - 60px);
    background-repeat: no-repeat;
}

@media (min-width: 450px){
    .main {
        padding-top: 65px;
        background-size: 820px auto;
    }
}

.reserveSector {
    display: none;
}

.show {
    display: block !important;
}

.gradient-text {
    background-color: #ff1300;
    background-image: linear-gradient(180deg, #ff1300, #fff105 80%, #fff105 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke: 4px #000000;
}

.round-button,.win-circle__text p,.win-circle__text_2 p {
    font-family: 'Righteous', sans-serif;
    font-weight: 700
}

ol,ul {
    list-style: none
}

table {
    border-collapse: separate;
    border-spacing: 0
}

caption,td,th {
    text-align: left;
    font-weight: 700
}

.button,.header__text,.wheel__holder,.win-circle,.win-circle__title {
    text-align: center
}


.parallax .levitate {
    position: absolute;
}

.overlay {
     position: fixed;
     left: 0;
     right: 0;
     top: 0;
     bottom: 0;
     background: radial-gradient(100% 100% at 47.27% 0%, #7D9D00FF , rgba(17, 0, 0, 0.00) 33.19%), rgba(0,0,0, 0.8);
     opacity: 0;
     pointer-events: none;
     background-position: center -145px;
     background-repeat: no-repeat;
     transition: opacity 0.3s ease;
     z-index: 2;
}

.overlay.opened {
    opacity: 1;
    pointer-events: all;
}

.header__text .text-mob {
    display: none
}

.scratch-card {
    position: relative;
    font-size: 0;
    filter: drop-shadow(0 10px 30px #c4cfde);
    opacity: 0;
    pointer-events: none;
    transition: 300ms opacity ease;
}

.scratch-card.loaded {
    opacity: 1;
    pointer-events: initial;
}

.scratch-card img {
    width: 100%;
    max-width: 190px;
    height: auto;
}

.scratch-card canvas {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    will-change: transform;
    transform: translate3d(0,0,0);
    -ms-touch-action: none;
    -webkit-touch-action: none;
    -moz-touch-action: none;
    touch-action: none;
    transition: opacity 500ms ease-out 0ms, height 0ms linear 500ms;
    cursor: url("../img/coin.png"), default;
}

.scratch-card.revealed canvas {
    opacity: 0;
    height: 0;
}

#scratch-аll {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: none;
    border-radius: 50px;
    min-height: 35px;
    text-transform: uppercase;
    margin: 25px auto 0;
    background-image: url("../img/button/btn_left@2x.png"),
    url("../img/button/btn_right@2x.png"),
    url("../img/button/btn_middle@2x.png");
    background-image:-webkit-image-set(
            url("../img/button/btn_left@2x.webp"),
            url("../img/button/btn_left@2x.png")),
    -webkit-image-set(
            url("../img/button/btn_right@2x.webp"),
            url("../img/button/btn_right@2x.png")),
    -webkit-image-set(
            url("../img/button/btn_middle@2x.webp"),
            url("../img/button/btn_middle@2x.png"));
    background-image: image-set(
            url("../img/button/btn_left@2x.webp") type("image/webp"),
            url("../img/button/btn_left@2x.png") type("image/png")
    ),
    image-set(
            url("../img/button/btn_right@2x.webp") type("image/webp"),
            url("../img/button/btn_right@2x.png") type("image/png")
    ),
    image-set(
            url("../img/button/btn_middle@2x.webp") type("image/webp"),
            url("../img/button/btn_middle@2x.png") type("image/png")
    );
    background-repeat: no-repeat;
    background-position: left center, right center, center;
    background-size: contain;
    box-shadow: 0 0 30px 0 #a6ce00;
}

.scratch-off-animation {
    animation: fadeOut 2s forwards;
}

.win-popup__title,
.scratch-title {
    font-family: "Sansita", sans-serif;
    font-weight: 900;
    font-style: italic;
    font-size: 30px;
    text-transform: uppercase;
    text-align: center;
    background: linear-gradient(180deg, #FF5676 28.5%, #FF7B94 36%, #FE2A53 55%, #DA4561 87.96%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(0 6px 6px rgba(124, 0, 0, 0.1)) drop-shadow(0 2px 0 #fff);
    line-height: 30px;
}

.scratch-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr) ;
    grid-template-rows: repeat( 3, 0.8125fr);
    gap: 10px;
    margin: 20px auto 0;
    justify-content: center;
    align-items: center;
    z-index: 1;
    padding: 0 6.25%;
}

@media screen and (orientation: landscape) and (max-width: 940px) {
    body {
        overflow: auto;
        min-height: max-content;
    }

    /*.main {*/
    /*    padding-top: 150px;*/
    /*    padding-bottom: 150px;*/
    /*    background-size: 1010px auto;*/
    /*    background-position: center top calc(50% - 17px);*/
    /*}*/

    .main {
        padding-top: 50px;
        padding-bottom: 50px;
        background-size: 900px auto;
        background-position: center top calc(50% - -22px);
    }

    body::before,
    body::after {
        content: none;
    }
    .scratch-container {
        display: grid;
        grid-template-columns: repeat(3, 155px);
        grid-template-rows: repeat( 3, 0.8125fr);
        gap: 10px;
        margin: 15px auto 0;
        justify-content: center;
        align-items: center;
        z-index: 1;
        padding: 0 6.25%;
    }
}

.overflow-hidden {
    overflow: hidden !important;
}

.win-popup {
    display: none;
    width: fit-content;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2001;
    opacity: 0;
    transition: opacity 1s ease-out;
}

.win-popup.active {
    display: block;
}

.win-popup.opacity-animation {
    opacity: 1;
    transition: opacity 1s ease-out;
}

.win-popup__content {
    width: 300px;
    max-width: 600px;
}

.win-popup__logo {
    width: 70px;
    height: 70px;
    background-image: url("../img/popup/crown1x.png");
    background-image:
    -webkit-image-set(
            url("../img/popup/crown@1x.webp"),
            url("../img/popup/crown1x.png"));
    background-image:
    image-set(
            url("../img/popup/crown@1x.webp") type("image/webp"),
            url("../img/popup/crown1x.png") type("image/png")
    );
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -35px;
}

.win-popup__body{
    box-sizing: border-box;
    padding: 70px 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    width: 100%;
    border-radius: 10px;
    background: url("../img/popup/bg_popup1x.png") padding-box, -webkit-gradient(linear, left top, left bottom, from(#FFCB01), to(#83A400)) border-box;
    background: url("../img/popup/bg_popup1x.png") padding-box, linear-gradient(180deg, #FFCB01 0%, #83A400 100%) border-box;
    border: 2px solid transparent;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.win-popup__button {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: none;
    border-radius: 50px;
    min-height: 35px;
    text-transform: uppercase;
    margin: 40px auto 0;
    background-image: url("../img/button/btn_left@2x.png"),
    url("../img/button/btn_right@2x.png"),
    url("../img/button/btn_middle@2x.png");
    background-image:-webkit-image-set(
            url("../img/button/btn_left@2x.webp"),
            url("../img/button/btn_left@2x.png")),
    -webkit-image-set(
            url("../img/button/btn_right@2x.webp"),
            url("../img/button/btn_right@2x.png")),
    -webkit-image-set(
            url("../img/button/btn_middle@2x.webp"),
            url("../img/button/btn_middle@2x.png"));
    background-image: image-set(
            url("../img/button/btn_left@2x.webp") type("image/webp"),
            url("../img/button/btn_left@2x.png") type("image/png")
    ),
    image-set(
            url("../img/button/btn_right@2x.webp") type("image/webp"),
            url("../img/button/btn_right@2x.png") type("image/png")
    ),
    image-set(
            url("../img/button/btn_middle@2x.webp") type("image/webp"),
            url("../img/button/btn_middle@2x.png") type("image/png")
    );
    background-repeat: no-repeat;
    background-position: left center, right center, center;
    background-size: contain;
    box-shadow: 0 0 30px 0 #a6ce00;
}

.win-popup__title{
    font-size: 25px;
    line-height: 1.6;
    color: #fff;
    filter: drop-shadow(0 1px 0 rgba(0, 0, 0, 0.5));
    text-transform: uppercase;
    background: linear-gradient(180deg, rgba(255,183,80,1) 0%, rgba(194,0,44,1) 100%);
    background-size: 100% 100%;
    -webkit-text-stroke: 3px transparent;
    background-clip: text;
    -webkit-background-clip: text;
    text-shadow: none;
    -webkit-text-fill-color: initial;
}

.win-popup__text {
    color: #fff;
    font-weight: 600;
    font-family: "Roboto", sans-serif;
    font-size: 15px;
    line-height: 1.3;
    margin-top: 15px;
    text-align: center;
    text-shadow: 0 1px 0 #000;
}

.bonus-text {
    position: absolute;
    top: 70%;
    left: 50%;
    font-family: "Sansita", sans-serif;
    font-weight: 900;
    font-style: italic;
    font-size: 0px;
    text-transform: uppercase;
    text-align: center;
    transform: translate(-50%, -50%);
    transition: font-size 0.5s ease;
    color: #fff;
    text-shadow: 0 1px 0  rgba(0, 0, 0, 0.5);
}

.win .bonus-text {
    font-size: 22px;
    transform: translate(-50%, -50%);
}


.running-highlight-wrp {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 6px;
    overflow: hidden;
}

.win .running-highlight-wrp::before {
    content: '';
    background: linear-gradient(265deg, rgba(255, 255, 255, 0.50) 0%, rgba(255, 255, 255, 0) 100%);
    filter: blur(5px);
    width: 60%;
    height: 100%;
    top: 0;
    left: -125%;
    transform: skew(45deg);
    position: absolute;
    animation: highlight-animation 3s infinite;
}

.congratulation .win {
    animation: congatulation 1.5s infinite;
}

.win-popup__text .gold,
.gold {
    color: #D1ED00;
    font-weight: 600;
    font-family: "Roboto", sans-serif;
    font-size: 18px;
}

.gold span{
    font-family: "Roboto", sans-serif;
}

.win-popup__button:disabled {
    color: #00000040;
}

body > canvas {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 0;
}

@media(min-width:740px){
    body::before{
        width: 100%;
        height: 100%;
        left: 0;
        bottom: 0;
        background-attachment: fixed;
        background-size: 170px auto;
        background-position: left 95px bottom 75px;
        z-index: 0;
    }

    body::after {
        width: 100%;
        height: 100%;
        background-attachment: fixed;
        background-image: url(../img/background/bush_right@1x.png), url(../img/background/bush_left@1x.png);
        background-image: -webkit-image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), -webkit-image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-image: image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-size: auto 180px;
        background-position: bottom right, bottom left;
        z-index: 1;
    }
}

@media (min-width: 768px) {
    .header {
        height: 80px;
    }

    .header__logo {
        width: 200px;
        height: auto;
    }

    .scratch-title {
        font-size: 35px;
    }

    .scratch-container {
        margin-top: 30px;
        gap: 15px;
        padding: 0;
    }

    #scratch-аll {
        height: 55px;
        min-width: 180px;
        font-size: 20px;
        margin-top: 40px;
    }

    .main {
        padding-bottom: 160px;
        z-index: 1;
    }

    .win .bonus-text {
        font-size: 30px;
    }

}

@media(min-width: 900px) {
    body::before{
        width: 100%;
        height: 100%;
        left: 0;
        bottom: 0;
        background-attachment: fixed;
        background-size: 200px auto;
        background-position: left 170px bottom 110px;
        z-index: 0;
    }

    body::after {
        width: 100%;
        height: 100%;
        background-attachment: fixed;
        background-image: url(../img/background/bush_right@1x.png), url(../img/background/bush_left@1x.png);
        background-image: -webkit-image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), -webkit-image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-image: image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-size: auto 250px;
        background-position: bottom right, bottom left;
        z-index: 1;
    }
}

@media (min-width: 768px) and (orientation: landscape) {
    body::before{
        width: 100%;
        height: 100%;
        left: 0;
        bottom: 0;
        background-attachment: fixed;
        background-size: 170px auto;
        background-position: left 230px bottom 50px;
        z-index: 0;
    }

    body::after {
        width: 100%;
        height: 100%;
        background-attachment: fixed;
        background-image: url(../img/background/bush_right@1x.png), url(../img/background/bush_left@1x.png);
        background-image: -webkit-image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), -webkit-image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-image: image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-size: auto 200px, auto 231px;
        background-position: bottom right, bottom left;
        z-index: 1;
    }

    .win .bonus-text {
        font-size: 30px;
    }
}

@media (min-width: 1110px) {
    #language.hover #all-languages {
        padding-top: 20px;
        top: 20px !important;
        margin-top: 0;
    }

    .scratch-title {
        font-size: 40px;
        line-height: 40px;
    }

    .scratch-container {
        margin-top: 30px;
        gap: 15px;
        padding: 0;
    }

    #scratch-аll {
        height: 55px;
        min-width: 180px;
        font-size: 20px;
        margin-top: 40px;
    }

    .wrapper{
        max-width: 1280px;
        margin:0 auto;
    }

    body {
        background-image:
                url("../img/background/bg_desktop@1x.png");
        background-image:
                -webkit-image-set(
                        url("../img/background/bg_desktop@1x.webp") type("image/webp"),
                        url("../img/background/bg_desktop@1x.png") type("image/png")
                );
        background-image:
                image-set(
                        url("../img/background/bg_desktop@1x.webp") type("image/webp"),
                        url("../img/background/bg_desktop@1x.png") type("image/png")
                );

        background-size: cover;
        background-position: top center;
    }

    .main {
        padding-top: 40px;
        padding-bottom: 40px;
        background-image: url("../img/background/cloud_desktop@1x.png");
        background-image:
                -webkit-image-set(
                        url("../img/background/cloud_desktop@2x.webp") type("image/webp"),
                        url("../img/background/cloud_desktop@1x.png") type("image/png")
                );
        background-image:
                image-set(
                        url("../img/background/cloud_desktop@2x.webp") type("image/webp"),
                        url("../img/background/cloud_desktop@1x.png") type("image/png")
                );
        background-size: 1050px auto;
        background-position: center top calc(50% - 0px);
    }

    .shine::before {
        width: 1366px;
        height: 1366px;
        pointer-events: none;
        background-image: url("../img/background/shine_bg1x.png");
    }

    body::before{
        width: 100%;
        height: 100%;
        left: 0;
        bottom: 0;
        background-attachment: fixed;
        background-size: 170px auto;
        background-position: left 257px bottom 9px;
        z-index: 1;
    }

    body::after {
        width: 100%;
        height: 100%;
        background-attachment: fixed;
        background-image: url(../img/background/bush_right@1x.png), url(../img/background/bush_left@1x.png);
        background-image: -webkit-image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), -webkit-image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-image: image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-size: auto 250px;
        background-position: bottom right, bottom left;
        z-index: 1;
    }

    .win .bonus-text {
        font-size: 40px;
    }

    #scratch-аll,
    .win-popup__button, button {
        height: 65px;
        font-size: 20px;
        min-width: 230px;
        margin-top: 40px;
    }

    .scratch-card canvas {
        cursor: url("../img/coin@2x.png"), default;
    }
}

@media(min-width: 1650px) {
    .main {
        padding-top: 20px;
        padding-bottom: 20px;
        background-image: url("../img/background/cloud_desktop@1x.png");
        background-image:
                -webkit-image-set(
                        url("../img/background/cloud_desktop@2x.webp") type("image/webp"),
                        url("../img/background/cloud_desktop@1x.png") type("image/png")
                );
        background-image:
                image-set(
                        url("../img/background/cloud_desktop@2x.webp") type("image/webp"),
                        url("../img/background/cloud_desktop@1x.png") type("image/png")
                );
        background-size: 1050px auto;
        background-position: center top calc(50% - 0px);
    }
    body::before{
        width: 100%;
        height: 100%;
        left: 0;
        bottom: 0;
        background-attachment: fixed;
        background-size: 10vw auto;
        background-position: right 74% bottom 7vh;
        z-index: 2;
    }

    body::after {
        width: 100%;
        height: 100%;
        background-attachment: fixed;
        background-image: url(../img/background/bush_right@1x.png), url(../img/background/bush_left@1x.png);
        background-image: -webkit-image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), -webkit-image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-image: image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-size: auto 21vw;
        background-position: bottom right, bottom left;
        z-index: 1;
    }

}

@media(min-width: 1921px){
    .header {
        height: 100px;
    }

    .header__logo {
        width: 255px;
        height: auto;
    }

    #scratch-аll,
    .win-popup__button, button {
        height: 75px;
        font-size: 25px;
        min-width: 230px;
        margin-top: 55px;
    }

    .scratch-title {
        font-size: 45px;
        line-height: 70px;
    }

    .shine::before {
        width: 1920px;
        height: 1920px;
        pointer-events: none;
        background-image: url("../img/background/shine_bg1x.png");
    }

    .win-popup__body {
        padding: 90px;
    }

    .win-popup__content {
        width: 600px;
        min-height: 600px;
    }

    .win-popup__title {
        font-size: 50px;
    }

    .win-popup__text .gold,
    .win-popup__text {
        font-size: 30px;
        margin-top: 60px;
    }

    .win-popup__button {
        margin-top: 60px;
    }

    .gold {
        font-size: 30px;
    }

    .main {
        padding-top: 100px;
        padding-bottom: 130px;
        background-image: url("../img/background/cloud_desktop@1x.png");
        background-image:
                -webkit-image-set(
                        url("../img/background/cloud_desktop@2x.webp") type("image/webp"),
                        url("../img/background/cloud_desktop@1x.png") type("image/png")
                );
        background-image:
                image-set(
                        url("../img/background/cloud_desktop@2x.webp") type("image/webp"),
                        url("../img/background/cloud_desktop@1x.png") type("image/png")
                );
        background-size: 1230px auto;
        background-position: center top calc(50% - 10px);
    }

    body::before{
        width: 100%;
        height: 100%;
        left: 0;
        bottom: 0;
        background-attachment: fixed;
        background-size: 12vw auto;
        background-position: right 74% bottom 7vh;
        z-index: 2;
    }

    body::after {
        width: 100%;
        height: 100%;
        background-attachment: fixed;
        background-image: url(../img/background/bush_right@1x.png), url(../img/background/bush_left@1x.png);
        background-image: -webkit-image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), -webkit-image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-image: image-set( url(../img/background/bush_right@1x.webp) type("image/webp"), url(../img/background/bush_right@1x.png) type("image/png") ), image-set( url(../img/background/bush_left@1x.webp) type("image/webp"), url(../img/background/bush_left@1x.png) type("image/png") );
        background-size: auto 21vw;
        background-position: bottom right, bottom left;
        z-index: 1;
    }

    .win-popup__body {
        border-radius: 20px;
    }

    .win-popup__logo {
        top: -70px;
        width: 140px;
        height: 140px;
        background-image: url(../img/popup/crown2x.png);
        background-image: -webkit-image-set( url(../img/popup/crown@2x.webp), url(../img/popup/crown2x.png));
        background-image: image-set( url(../img/popup/crown@2x.webp) type("image/webp"), url(../img/popup/crown2x.png) type("image/png") );
    }
}

.free-chips--hidden {
    display: none;
}
